
_main:

;Battery on LCD.mbas,70 :: 		main:
;Battery on LCD.mbas,71 :: 		TRISB = 0                 ' Configure PORTB pins as digital
	CLRF       TRISB+0
;Battery on LCD.mbas,72 :: 		ADCON0 = 0x08             ' Configure RA1 pin as analog
	MOVLW      8
	MOVWF      ADCON0+0
;Battery on LCD.mbas,73 :: 		ADCON1= 4                 ' RA0 & RA1 & RA3 are analog, Vref iv VDD
	MOVLW      4
	MOVWF      ADCON1+0
;Battery on LCD.mbas,74 :: 		TRISA = 0x02              ' Set RA1 pin as input
	MOVLW      2
	MOVWF      TRISA+0
;Battery on LCD.mbas,77 :: 		Lcd_Init()                ' Initialize Lcd
	CALL       _Lcd_Init+0
;Battery on LCD.mbas,78 :: 		Lcd_Cmd(_LCD_CLEAR)       ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Battery on LCD.mbas,79 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  ' Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;Battery on LCD.mbas,81 :: 		Lcd_Out(1,1,"Battery  Voltage")      ' Write fixted text on first row
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      66
	MOVWF      ?LocalText_main+0
	MOVLW      97
	MOVWF      ?LocalText_main+1
	MOVLW      116
	MOVWF      ?LocalText_main+2
	MOVLW      116
	MOVWF      ?LocalText_main+3
	MOVLW      101
	MOVWF      ?LocalText_main+4
	MOVLW      114
	MOVWF      ?LocalText_main+5
	MOVLW      121
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      86
	MOVWF      ?LocalText_main+9
	MOVLW      111
	MOVWF      ?LocalText_main+10
	MOVLW      108
	MOVWF      ?LocalText_main+11
	MOVLW      116
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      103
	MOVWF      ?LocalText_main+14
	MOVLW      101
	MOVWF      ?LocalText_main+15
	CLRF       ?LocalText_main+16
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery on LCD.mbas,82 :: 		Lcd_Out(2,1,"Volts DC = ")     ' Write fixed text on second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      86
	MOVWF      ?LocalText_main+0
	MOVLW      111
	MOVWF      ?LocalText_main+1
	MOVLW      108
	MOVWF      ?LocalText_main+2
	MOVLW      116
	MOVWF      ?LocalText_main+3
	MOVLW      115
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      68
	MOVWF      ?LocalText_main+6
	MOVLW      67
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      61
	MOVWF      ?LocalText_main+9
	MOVLW      32
	MOVWF      ?LocalText_main+10
	CLRF       ?LocalText_main+11
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery on LCD.mbas,83 :: 		loop:
L__main_loop:
;Battery on LCD.mbas,85 :: 		atod = ADC_Read(1)        ' Get 8-bit results of AD conversion
	MOVLW      1
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVF       R0+0, 0
	MOVWF      _atod+0
	MOVF       R0+1, 0
	MOVWF      _atod+1
;Battery on LCD.mbas,87 :: 		Temp = atod  + 482        'Implicit typecast performed from "longword" to "float"
	MOVLW      226
	MOVWF      R8+0
	MOVLW      1
	MOVWF      R8+1
	CLRF       R8+2
	CLRF       R8+3
	MOVF       R0+0, 0
	MOVWF      R4+0
	MOVF       R0+1, 0
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       R8+0, 0
	ADDWF      R4+0, 1
	MOVF       R8+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+1, 0
	ADDWF      R4+1, 1
	MOVF       R8+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+2, 0
	ADDWF      R4+2, 1
	MOVF       R8+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R8+3, 0
	ADDWF      R4+3, 1
	MOVF       R4+0, 0
	MOVWF      R0+0
	MOVF       R4+1, 0
	MOVWF      R0+1
	MOVF       R4+2, 0
	MOVWF      R0+2
	MOVF       R4+3, 0
	MOVWF      R0+3
	CALL       _Longword2Double+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	MOVF       R0+2, 0
	MOVWF      _temp+2
	MOVF       R0+3, 0
	MOVWF      _temp+3
;Battery on LCD.mbas,92 :: 		Temp = Temp * 0.0195      ' Convert the count to voltage  0.0195 per count
	MOVLW      119
	MOVWF      R4+0
	MOVLW      190
	MOVWF      R4+1
	MOVLW      31
	MOVWF      R4+2
	MOVLW      121
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVF       R0+0, 0
	MOVWF      _temp+0
	MOVF       R0+1, 0
	MOVWF      _temp+1
	MOVF       R0+2, 0
	MOVWF      _temp+2
	MOVF       R0+3, 0
	MOVWF      _temp+3
;Battery on LCD.mbas,94 :: 		FloatToStr(Temp, Txt)     ' We need a Text String to display on the LCD
	MOVF       R0+0, 0
	MOVWF      FARG_FloatToStr_input+0
	MOVF       R0+1, 0
	MOVWF      FARG_FloatToStr_input+1
	MOVF       R0+2, 0
	MOVWF      FARG_FloatToStr_input+2
	MOVF       R0+3, 0
	MOVWF      FARG_FloatToStr_input+3
	MOVLW      _txt+0
	MOVWF      FARG_FloatToStr_output+0
	CALL       _FloatToStr+0
;Battery on LCD.mbas,96 :: 		Lcd_Out(2,12,txt)         ' Write results centered in second row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      12
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      _txt+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Battery on LCD.mbas,97 :: 		goto loop
	GOTO       L__main_loop
L_end_main:
	GOTO       $+0
; end of _main
